Redmine - Defect #2811

Redmine SVN (Trunk) r2519 doesn’'t work in subdirectory

2009-02-23 14:46 - Egor Morozov

Status: Closed
Category:

Target version:

Resolution:
% Done: 0%
Affected version:

Description
Hello!

I've updated Redmine to the latest SVN revision today and it stopped working. After resolving several issues with plugins | have this

error message appearing:

ActionController::RoutingError

/usr/local/lib/ruby/gems/1.

386:in "recognize'

/usr/local/lib/ruby/gems/1.

"handle_request'

/usr/local/lib/ruby/gems/1.

“dispatch_unlocked'

/usr/local/lib/ruby/gems/1.

“dispatch'

/usr/local/lib/ruby/gems/1.

“synchronize'

/usr/local/lib/ruby/gems/1.

“dispatch'

/usr/local/lib/ruby/gems/1.

“dispatch_cgi'’
/usr/local/lib/ruby/gems/1.
dispatch'
/usr/local/lib/ruby/gems/1.
‘process_request'’
/usr/local/lib/ruby/gems/1.
5:in "main_loop'
/usr/local/lib/ruby/gems/1.
in “start_request_handler'
/usr/local/lib/ruby/gems/1.
in "~ spawn_application!'
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
in "“spawn_application!'
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
in "~ spawn_application!'
/usr/local/lib/ruby/gems/1.
_rails_application'
/usr/local/lib/ruby/gems/1.
ronize'
/usr/local/lib/ruby/gems/1.
_rails_application’
/usr/local/lib/ruby/gems/1.
_application'

21l 3

46:

32:

31:

2024-04-23

(No route matches "/redmine/" with {:method=>:get}):
/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/routing/recognition_o
ptimisation.rb:66:in "~recognize_path'

8/gems/actionpack-2

.2.2/1lib/action_controller/routing/route_set.rb:

8/gems/actionpack-2.

8/gems/actionpack-2.

8/gems/actionpack-2.

8/gems/actionpack-2.

8/gems/actionpack-2.

8/gems/actionpack-2.

8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.

.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.

.2/1lib/action_controller/dispatcher.

rb:

rb:

rb:

rb:

rb:

rb:

rb:

182:in

110:in
123:in
122:in
122:in

132:in

39:in

8/gems/passenger—-2.0.6/1lib/passenger/railz/request_handler.rb:38:in

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—-2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—-2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.

8/gems/passenger—-2.

o O O O

O O O O

.6/1lib/passenger/spawn_manager.
.6/1lib/passenger/spawn_manager.
.6/1lib/passenger/spawn_manager.

.6/1lib/passenger/spawn_manager.

.6/1lib/passenger/abstract_request_handler.rb:16
.6/1lib/passenger/railz/application_spawner.rb:3
.6/1lib/passenger/railz/application_spawner.rb:1

.6/1lib/passenger/utils.rb:163:in ‘safe_fork'
.6/1lib/passenger/utils.rb:161:in " fork'
.6/1lib/passenger/utils.rb:161:in "safe_fork'

.6/1lib/passenger/railz/application_spawner.rb:1

.6/1lib/passenger/utils.rb:163:in "safe_fork'
.6/1lib/passenger/utils.rb:161:in "~ fork'
.6/1lib/passenger/utils.rb:161:in "safe_fork'

.6/1lib/passenger/railz/application_spawner.rb:1

rb:234:in " spawn

rb:217:in " synch

rb:217:in " spawn

rb:126:in " spawn
/usr/local/lib/ruby/gems/1.

e_spawn_application’

/usr/local/lib/ruby/gems/1.

end__ "'

/usr/local/lib/ruby/gems/1.

n_loop'

/usr/local/lib/ruby/gems/1.

rt_synchronously'

/usr/local/lib/ruby/gems/1.

8/gems/passenger-2.0.6/1lib/passenger/spawn_manager.rb:251:in "handl
8/gems/passenger-2.0.6/1ib/passenger/abstract_server.rb:317:in " __s
8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:317:in ‘mai
8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:168:in "sta

8/gems/passenger-2.0.6/bin/passenger—-spawn-server:46

| have Redmine installed on FreeBSD, available at https://adm.lan/redmine/ (running Apache 2.2)

I've tried both Passenger & FastCGl, none is working.

History

#1 - 2009-02-23 14:47 - Egor Morozov

Oh, by the way, | was upgrading from r2483.

#2 - 2009-02-23 15:18 - Jean-Baptiste Barth
There were many changes in r2493, maybe your problem is related to that, you should look at this news

#3 - 2009-02-23 15:23 - Egor Morozov

Hello!

I've read this, installed Rails 2.2.2 and executed

rake config/initializers/session_store.rb

I've also removed all my custom plugins to check if it's okay, but it's still not working.

I've tried changing config/routes.rb:

map.home ", :controller => 'welcome'
to

map.home '/redmine’, :controller => 'welcome'

And welcome page opened although the styles and internal pages didn't work.

Changing

map.signin 'login’, :controller => 'account', :action => 'login’

to

map.signin 'redmine/login’, :controller => 'account'’, :action => 'login'

Allowed me to open login page, but it's really strange.

Hope this information will help.

Thanks.

#4 - 2009-02-23 15:39 - Jean-Baptiste Barth

Seems like your problem is related to the fact you're running redmine under a subdirectory. Maybe this post will help you (especially the solution

proposed by Jean-Philippe)

#5 - 2009-02-23 15:52 - Egor Morozov

I've added the line. It works, but the real paths are not working:

ActionController::RoutingError

/usr/local/lib/ruby/gems/1.

rb:66:in "~ recognize_path'

/usr/local/lib/ruby/gems/1.

gnize'

/usr/local/lib/ruby/gems/1.

est'

/usr/local/lib/ruby/gems/1.

locked'

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

2024-04-23

(No route matches "/stylesheets/jstoolbar.css" with {:method=>:get}):

8/gems/actionpack-2.
8/gems/actionpack-2.
8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/actionpack-2.
8/gems/actionpack-2.

2

.2/1lib/action_controller/routing/recognition_optimisation.
.2/1lib/action_controller/routing/route_set.rb:386:in ‘reco
.2/1lib/action_controller/dispatcher.rb:182:in “handle_requ
.2/1lib/action_controller/dispatcher.rb:110:in “dispatch_un

.2/1lib/action_controller/dispatcher.rb:123:in “dispatch'
.2/lib/action_controller/dispatcher.rb:122:in "synchronize
https://adm.lan/redmine/
https://www.redmine.org/projects/redmine/repository/svn/revisions/2483
https://www.redmine.org/projects/redmine/repository/svn/revisions/2493
http://www.redmine.org/news/show/22
http://www.redmine.org/issues/show/2508

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

quest'

/usr/local/lib/ruby/gems/1.

oop'

/usr/local/lib/ruby/gems/1.

_request_handler'

/usr/local/lib/ruby/gems/1.

_application!'

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

_application!'

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

_application!'

/usr/local/lib/ruby/gems/1.

cation'

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

cation'

/usr/local/lib/ruby/gems/1.

/usr/local/lib/ruby/gems/1.

ication'

/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.
/usr/local/lib/ruby/gems/1.

usly'

/usr/local/lib/ruby/gems/1.

#6 - 2009-02-24 15:02 - Egor Morozov

Any ideas how to resolve the problem?

8/gems/actionpack-2.2.2/1lib/action_controller/dispatcher.rb:122:in “dispatch'
8/gems/actionpack-2.2.2/1lib/action_controller/dispatcher.rb:132:in “dispatch_cg

8/gems/actionpack-2.2.2/1lib/action_controller/dispatcher.rb:39:in “dispatch'
8/gems/passenger—2.0.6/1lib/passenger/railz/request_handler.rb:38:in 'process_re

8/gems/passenger-2.0.6/1lib/passenger/abstract_request_handler.rb:165:in ‘main_1

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.

8/gems/passenger—2.

#7 - 2009-02-25 10:53 - Jean-Philippe Lang

o O O O

o O o o

.6/1lib/passenger/spawn_manager.rb:

.6/1lib/passenger/spawn_manager.rb:
.6/1lib/passenger/spawn_manager.rb:

.6/1lib/passenger/spawn_manager.rb:

.6/1lib/passenger/spawn_manager.rb:

.6/bin/passenger—-spawn-server:46

As Jean-Baptiste said, you have to add this at the end of config/environment.rb:

ActionController: :AbstractRequest.relative_url_root

And restart the app. It perfectly works.

#8 - 2009-02-25 14:30 - Egor Morozov

= "/redmine"

234:

217:
217:

126:

251:

.6/1lib/passenger/railz/application_spawner.rb:321:in

.6/lib/passenger/railz/application_spawner.rb:146:in

.6/1lib/passenger/railz/application_spawner.rb:132:1in

.6/1lib/passenger/utils.rb:161:in "~ fork'
.6/lib/passenger/utils.rb:161:in "safe_fork'
.6/1lib/passenger/railz/application_spawner.rb:131:in

in

in
in

in

in

.6/lib/passenger/abstract_server.rb:317:in
.6/1lib/passenger/abstract_server.rb:317:in
.6/1lib/passenger/abstract_server.rb:168:1in

“start

" spawn

.6/1lib/passenger/utils.rb:163:in "“safe_fork'
.6/lib/passenger/utils.rb:161:in " fork'
.6/1lib/passenger/utils.rb:161:in “safe_fork'

‘spawn

.6/1lib/passenger/utils.rb:163:in “safe_fork'

" spawn

“spawn_rails_appli

“synchronize'
“spawn_rails_appli

‘spawn_application

"handle_spawn_appl

*__send_ '
"main_loop'
“start_synchrono

| know that | need to restart the app after changes. | did it and it still doesn't work. When | try to open any real file (like *.css) | get 404 Not Found error

from Redmine.

#9 - 2009-02-25 14:41 - Egor Morozov

- Status changed from New to Resolved

Strange... it started working after svn update.

Anyway, thanks for your help.

#10 - 2009-02-25 15:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

2024-04-23
